Subject: Out of memory error with git rebase

From: Hannu Koivisto <[email-masked]>
Date: Wed, 26 Oct 2011 12:21:24 +0300

Hi,

If 'git rebase origin/master' dies with an out of memory error
(probably due to a few of large binary files in the repository, the
largest being ~300MB and ~1GB in total in one directory), which
settings should be tweaked and how to get rid of the problem?  I
tried...

[pack]
        threads = 1
        windowMemory = 64M
        packSizeLimit = 512M

...based on some suggestions in the net but that was of no help.

I'm using git 1.7.5.1 in Cygwin and I also tried the latest master
branch version (which behaved identically).

-- 
Hannu